Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAccessible.RelationFlag

    java.lang.Object
      java.lang.Enum<QAccessible.RelationFlag>
          com.trolltech.qt.gui.QAccessible.RelationFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAccessible.RelationFlag>

Enclosing class:
  QAccessible

    public static enum QAccessible.RelationFlag

extends java.lang.Enum<QAccessible.RelationFlag>
implements QtEnumerator

This enum type defines bit flags that can be combined to indicate the relationship between two accessible objects.

Implementations of relationTo() return a combination of these flags. Some values are mutually exclusive.

Implementations of navigate() can accept only one distinct value.

Enum Constant Summary
`Ancestor` The first object is a parent of the second object.
`Child` The first object is a direct child of the second object.
`Controlled` The first object is controlled by the second object.
`Controller` The first object controls the second object.
`Covered` The first object is covered by the second object.
`Covers` The first object covers the second object.
`Descendent` The first object is an indirect child of the second object.
`Down` The first object is below the second object.
`FocusChild` The first object is the second object's focus child.
`GeometryMask` Internal.
`HierarchyMask` Internal.
`Label` The first object is the label of the second object.
`Labelled` The first object is labelled by the second object.
`Left` The first object is left of the second object.
`LogicalMask` Internal.
`Right` The first object is right of the second object.
`Self` The objects are the same.
`Sibling` The objects are siblings.
`Unrelated` The objects are unrelated.
`Up` The first object is above the second object.

Method Summary
`static QAccessible.Relation` | `createQFlags(QAccessible.RelationFlag... values)`
`static QAccessible.RelationFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.RelationFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAccessible.RelationFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Unrelated

    public static final QAccessible.RelationFlag Unrelated

  The objects are unrelated.

### Self

    public static final QAccessible.RelationFlag Self

  The objects are the same.

### Ancestor

    public static final QAccessible.RelationFlag Ancestor

  The first object is a parent of the second object.

### Child

    public static final QAccessible.RelationFlag Child

  The first object is a direct child of the second object.

### Descendent

    public static final QAccessible.RelationFlag Descendent

  The first object is an indirect child of the second object.

### Sibling

    public static final QAccessible.RelationFlag Sibling

  The objects are siblings.

### HierarchyMask

    public static final QAccessible.RelationFlag HierarchyMask

  Internal.

### Up

    public static final QAccessible.RelationFlag Up

  The first object is above the second object.

### Down

    public static final QAccessible.RelationFlag Down

  The first object is below the second object.

### Left

    public static final QAccessible.RelationFlag Left

  The first object is left of the second object.

### Right

    public static final QAccessible.RelationFlag Right

  The first object is right of the second object.

### Covers

    public static final QAccessible.RelationFlag Covers

  The first object covers the second object.

### Covered

    public static final QAccessible.RelationFlag Covered

  The first object is covered by the second object.

### GeometryMask

    public static final QAccessible.RelationFlag GeometryMask

  Internal.

### FocusChild

    public static final QAccessible.RelationFlag FocusChild

  The first object is the second object's focus child.

### Label

    public static final QAccessible.RelationFlag Label

  The first object is the label of the second object.

### Labelled

    public static final QAccessible.RelationFlag Labelled

  The first object is labelled by the second object.

### Controller

    public static final QAccessible.RelationFlag Controller

  The first object controls the second object.

### Controlled

    public static final QAccessible.RelationFlag Controlled

  The first object is controlled by the second object.

### LogicalMask

    public static final QAccessible.RelationFlag LogicalMask

  Internal.

Method Detail

### values

    public static final QAccessible.RelationFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAccessible.RelationFlag c : QAccessible.RelationFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAccessible.RelationFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QAccessible.Relation createQFlags(QAccessible.RelationFlag... values)

### resolve

    public static QAccessible.RelationFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD